View previous topic :: View next topic |
Author |
Message |
mw007 Apprentice
![Apprentice Apprentice](/images/ranks/rank_rect_2.gif)
![](images/avatars/gallery/Sonic/Sega_-_Sonic.gif)
Joined: 08 Nov 2004 Posts: 260
|
Posted: Sun Jan 15, 2006 5:44 pm Post subject: Microsoft Wireless Laser Mouse 6000 |
|
|
Hi All,
I am trying to get my Microsoft Wireless Laser Mouse 6000 work properly. Currently, the wheel button will be clicked by just moving the mouse (you can imagine how annoying this gets). I am thinking it is a configuration issue with X, since this occurs in every window manager I've tried (xfce4, fluxbox, e17).
Here is the mouse portion of my xorg.conf:
Code: |
Section "InputDevice"
Identifier "Mouse 0"
Driver "mouse"
Option "Protocol" "ExplorerPS/2"
Option "Device" "/dev/psaux"
Option "Buttons" "7"
Option "ZAxisMapping" "6 7"
EndSection
|
If anyone has this mouse working properly, or has any idea what is going on, please let me know! I have had no luck finding this in google or in the forums here.
Thanks in advance! |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
jrolandwright n00b
![n00b n00b](/images/ranks/rank_rect_0.gif)
Joined: 18 Jan 2006 Posts: 3
|
Posted: Wed Jan 18, 2006 2:38 am Post subject: |
|
|
I use the same mouse with my touchpad-equipped notebook and a single section in xorg.conf seems to more-or-less do the trick for both devices:
Code: |
Section "InputDevice"
Identifier "Touchpad"
Driver "mouse"
Option "Device" "/dev/input/mice"
Option "Protocol" "ImPS/2"
Option "SendCoreEvents"
Option "ZAxisMapping" "4 5"
Option "MaxTapTime" "180"
EndSection
|
Either the MS 6000 laser mouse or the synaptics touchpad can be used without detaching/deactivating the other, and no other configuration is needed. However, i'm not using the synaptics driver for the touchpad and I havent yet configured the little thumb button on the mouse to do anything other than what it does by default (mimic a right-click). I suppose if I wanted to config either any further, I would want to specify seperate InputDevice sections for each. However, they work fine for now. |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
mw007 Apprentice
![Apprentice Apprentice](/images/ranks/rank_rect_2.gif)
![](images/avatars/gallery/Sonic/Sega_-_Sonic.gif)
Joined: 08 Nov 2004 Posts: 260
|
Posted: Sun Jan 22, 2006 9:08 pm Post subject: |
|
|
Thanks for the help, jrolandwright. But, that doesn't seem to have done anything. I made the changes to my xorg.conf, then restarted the X server.
I still am getting what seems to be the middle-mouse button being pressed whenever the mouse is moved.
I have tried using xmodmap to change the configuration of the mouse buttons, but that didn't work, either. |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
pijalu Guru
![Guru Guru](/images/ranks/rank_rect_3.gif)
![](images/avatars/132931644642bda6dfed8cd.gif)
Joined: 04 Oct 2004 Posts: 365
|
Posted: Sun Feb 26, 2006 12:31 am Post subject: |
|
|
I got this one working after a few hours on Xorg 7
First, I added a udev rule to create a input entry:
/etc/udev/rules.d/07-ms6000
Code: |
KERNEL=="event*", SYSFS{manufacturer}=="Microsoft", SYSFS{idProduct}=="00e1",SYMLINK="input/ms6000", MODE="644"
|
My xorg mouse entry:
Code: |
Section "InputDevice"
Identifier "MsMouse"
Driver "evdev"
Option "Device" "/dev/input/ms6000"
Option "Resolution" "800"
EndSection
|
Update your server layout to use MsMouse
This should give you a "working" mouse (wheel/buttons)
The hardest part is to get the tilt wheel working: you need to patch evdev driver since the current one (1.0.0.5) don't support it (ms mouse... it send a REL_DIAL event instead of a REL_HWHEEL...)
I copy /usr/portage/x11-drivers/xf86-input-evdev to your overlay and create in sub files the following patch:
(filename: xf86-input-evdev-ms6000.patch)
Code: |
--- src/evdev.c.ori 2006-02-26 00:57:59.000000000 +0100
+++ src/evdev.c 2006-02-26 00:58:21.000000000 +0100
@@ -155,6 +155,7 @@
PostButtonClicks(pInfo, wheel_down_button, -value);
break;
+ case REL_DIAL:
case REL_HWHEEL:
if (value > 0)
PostButtonClicks(pInfo, wheel_right_button, value);
|
and apply this patch to your overlay ebuild
Code: |
--- /usr/portage/x11-drivers/xf86-input-evdev/xf86-input-evdev-1.0.0.5.ebuild 2006-02-23 13:36:07.000000000 +0100
+++ xf86-input-evdev-1.0.0.5.ebuild 2006-02-26 01:03:42.000000000 +0100
@@ -14,3 +14,10 @@
x11-proto/inputproto
x11-proto/randrproto
x11-proto/xproto"
+
+src_unpack() {
+ unpack ${A} || die "unpack failed"
+
+ cd ${WORKDIR}/${P}
+ epatch ${FILESDIR}/xf86-input-evdev-ms6000.patch
+}
|
Hope this help |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
socksz Apprentice
![Apprentice Apprentice](/images/ranks/rank_rect_2.gif)
Joined: 28 Aug 2006 Posts: 233
|
Posted: Fri Sep 08, 2006 8:50 pm Post subject: |
|
|
pijalu wrote: | Hope this help |
Hi pijalu, i just installed xorg-x11 (7.0) and I have the same problem.
I have a Wireless Mini-Mouse Trust.
It's works on slackware, on others distribution, but not in Gentoo.
X starts fine, but cursor are not movable.
But notebook's touchpad fine works!
Can you help me with this mouse, please?
Thanks! ![Wink :wink:](images/smiles/icon_wink.gif) |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
pijalu Guru
![Guru Guru](/images/ranks/rank_rect_3.gif)
![](images/avatars/132931644642bda6dfed8cd.gif)
Joined: 04 Oct 2004 Posts: 365
|
Posted: Sat Sep 09, 2006 8:34 am Post subject: |
|
|
After you plug your mouse, do you have a /dev/input entry that points to this mouse ?
(trick: in console, do a cat of each mouseX entry and move the mouse, if you got garbage only when you move it then you found the correct entry)
If yes, you have 2 way:
* create a udev entry to point to this mouse and add a specific section for this mouse and add it to your server layout
* if you use xorg 7.1, you can set a evdev entry using the udev name of the mouse |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
socksz Apprentice
![Apprentice Apprentice](/images/ranks/rank_rect_2.gif)
Joined: 28 Aug 2006 Posts: 233
|
Posted: Sat Sep 09, 2006 2:34 pm Post subject: |
|
|
pijalu wrote: | After you plug your mouse, do you have a /dev/input entry that points to this mouse ?
(trick: in console, do a cat of each mouseX entry and move the mouse, if you got garbage only when you move it then you found the correct entry)
If yes, you have 2 way:
* create a udev entry to point to this mouse and add a specific section for this mouse and add it to your server layout
* if you use xorg 7.1, you can set a evdev entry using the udev name of the mouse |
Maybe i solved..
I just set STATIC this:
Device Drivers -->
USB Support --->
<*> OHCI HCD Support
and works for now.
Could be this the problem?
Bye. |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
pijalu Guru
![Guru Guru](/images/ranks/rank_rect_3.gif)
![](images/avatars/132931644642bda6dfed8cd.gif)
Joined: 04 Oct 2004 Posts: 365
|
Posted: Sat Sep 09, 2006 3:16 pm Post subject: |
|
|
As long as it work ![Wink :wink:](images/smiles/icon_wink.gif) |
|
Back to top |
|
![](templates/gentoo/images/spacer.gif) |
|
|
You cannot post new topics in this forum You cannot reply to topics in this forum You cannot edit your posts in this forum You cannot delete your posts in this forum You cannot vote in polls in this forum
|
|